Page MenuHomePhabricator

Notify selected communities about <mapframe> view changes
Closed, ResolvedPublic

Description

By default, the <mapframe> is shown as a non-framed image, but very soon it will be shown inside of a small frame with an optional text caption at the bottom. Usually, frameless maps are good for insertion as part of some template, whereas framed images are good for insertion directly into the page, either by hand or by using Visual Editor. To insert a map without the frame, one has to add "frameless" attribute: <mapframe frameless .... To add a caption, use the text="..." attribute. Having text attribute automatically enables the frame.

If editors wish to preserve some templates from showing a frame, they should already add the frameless param without waiting for the deployment.

Please notify all of Wikivoyage communities, as well as meta and CA,HE,MK wikipedias.

Thanks!

Event Timeline

Yurik created this task.Aug 23 2016, 7:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2016, 7:51 PM
Qgil added a subscriber: Qgil.Aug 25 2016, 9:31 AM

Just checking: has @CKoerner_WMF agreed to work on this High priority task? If so, is it supposed to be started soon (this quarter)?

The timeline wasn't clear to me, but Yuri and I have an understanding. I have a message, will ask for translations, and will post on 29 August (Monday) at the latest.

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Notify_Wikivoyage_communites_about_mapframe_view_changes

Actually, this change has hit the servers this week.

Darn, I was certain it hasn't made it to the train this week. In any case, it seems it looks fine on https://en.wikivoyage.org/wiki/Salzburg - so not a big impact just yet. I will keep an eye on ru & en WV, plus mk-WP, to see if there are any questions.

Matroc added a subscriber: Matroc.Aug 26 2016, 1:39 AM

Hello:
I was wondering if would look better if the border was darker ie. border-style solid:border-width:2px
Just a thought...

Yurik added a comment.Aug 26 2016, 2:25 AM

I just looked at several maps like ca-wp and en-wv, and they seem fine. We should definitely update the community about it, but this is not an urgent "drop everything and do it" kind of matter. Thx!

Hello:
I was wondering if would look better if the border was darker ie. border-style solid:border-width:2px
Just a thought...

That would be inconsistent with the rest of the theme, specifically image frames.

Yurik added a comment.Aug 26 2016, 2:34 AM

@Matroc lets consider this in a separate ticket. We would probably also want to keep it in sync with the image frames.

We sent out a few messages in English yesterday:

English Wikivoyage: https://en.wikivoyage.org/wiki/Wikivoyage:Travellers%27_pub#Mapframe_view_changes

Macedonian Wikipedia (moved from the main Village Pump as it was in English): https://mk.wikipedia.org/wiki/%D0%92%D0%B8%D0%BA%D0%B8%D0%BF%D0%B5%D0%B4%D0%B8%D1%98%D0%B0:%D0%A1%D0%B5%D0%BB%D1%81%D0%BA%D0%B0_%D1%87%D0%B5%D1%88%D0%BC%D0%B0_(%D0%94%D1%80%D1%83%D0%B3%D0%B8_%D1%98%D0%B0%D0%B7%D0%B8%D1%86%D0%B8)#Mapframe_view_changes

I will update the post to reflect reality (this change is already in effect) and post to the remaining wikis on Monday at the latest.

  • Catalan and Hebrew Wikipedias and all Wikivoyages (except English)
Yurik lowered the priority of this task from High to Normal.Aug 26 2016, 7:34 PM
Qgil renamed this task from Notify WV about <mapframe> view changes to Notify selected communities about <mapframe> view changes.Aug 30 2016, 2:22 PM

I have a few more translations (Thank you translators!) and have shared the update on the following projects.

French Wikivoyage: https://fr.wikivoyage.org/wiki/Wikivoyage:Café_des_Voyageurs#Changements_dans_l.27encadrement_des_cartes

Russian Wikivoyage:
https://ru.wikivoyage.org/wiki/Wikivoyage:Пивная_путешественников#.D0.97.D0.BC.D1.96.D0.BD.D0.B8_.D0.BF.D0.B5.D1.80.D0.B5.D0.B3.D0.BB.D1.8F.D0.B4.D1.83_mapframe

The feedback so far has been nonexistent. It's such a minor change I doubt there's much value in posting an English message to the remaining wikis. I don't want to sound lazy our unconcerned, but at the same time I want to be mindful of how much we post to the smaller projects and the amount of value it would have over the time and energy it would take. @Yurik, do you have a strong opinion about continuing?

Yurik added a comment.Sep 1 2016, 11:12 PM

Nope, I think we are good. We will need to write up and publish the maplink
capability to all wikis, but that's a separate ticket

CKoerner_WMF closed this task as Resolved.Sep 2 2016, 1:28 PM
Yurik added a project: Maps.Sep 4 2016, 4:18 AM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 4 2016, 4:18 AM
Qgil awarded a token.Sep 6 2016, 12:05 PM